Class | Sequel::SQL::Subscript
In: | lib/sequel/sql.rb
Parent: | GenericExpression

Represents an SQL array access, with multiple possible arguments.

### Methods

new |

### Attributes

f | [R] | The SQL array column
sub | [R] | The array of subscripts to use (should be an array of numbers)

### Public Class methods

new(f, sub)

Set the array column and subscripts to the given arguments

[Source]

         # File lib/sequel/sql.rb, line 826
    826:       def initialize(f, sub)
    827:         @f, @sub = f, sub
    828:       end

### Public Instance methods

|(sub)

Create a new subscript appending the given subscript(s) the the current array of subscripts.

[Source]

         # File lib/sequel/sql.rb, line 832
    832:       def |(sub)
    833:         Subscript.new(@f, @sub + Array(sub))
    834:       end

[Validate]